set terminal postscript eps color size 8,8
set format x "%.0s%c"
set format y "%.0s%c"
set grid
set key box opaque
set output 'osc.eps'
set multiplot layout 3,1  title "Lambda oscilator" font "Times-Roman,32"
set title "Celkovy pohled v case" font "Times-Roman,24"
set xlabel 't[s]'
set ylabel 'U[V]'
plot 'x.dat' u 2:3 w l lt 1 lw 4 lc rgb "green" t 'OUT(t)',\
     'x.dat' u 2:4 w l lt 1 lw 4 lc rgb "red"  t 'DRV(t)'

set title "Vyrez v case" font "Times-Roman,24"
set format x "%.1s%c"
set xrange [0.05:0.055]
set xlabel 't[s]'
set ylabel 'U[V]'
plot 'x.dat' u 2:3 w l lt 1 lw 4 lc rgb "green" t 'OUT(t)',\
     'x.dat' u 2:4 w l lt 1 lw 4 lc rgb "red"  t 'DRV(t)'

#set terminal postscript eps color size 8,4
#set output 'frq.eps'
set title "Spektra signalu pomoci FFT" font "Times-Roman,24"
set format x "%.0s%c"
set logscale x
set xrange [100:100000]
set yrange [-140:20]
set xlabel 'f[Hz]'
set ylabel 'U[dB]'
plot 'y.dat' u 2:3 w l lt 1 lw 4 lc rgb "blue" t 'OUT(f)',\
     'y.dat' u 2:4 w l lt 1 lw 4 lc rgb "red" t 'DRV(f)'
